Applies an operation to selected projects.

POSThttps://api.awork.com/api/v1/projects/batch/{operation}
POST https://api.awork.com/api/v1/projects/batch/{operation}

Applies the selected operation to each project and returns successful and failed results. Supported operations include changing status or type, linking workflows, updating clients, leads, dates, teams, and tags, and deleting projects. All operations support both products, including workflow linking and its project and task status changes.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

operationstringRequired

Batch operation route key.

Request body Required

Validated request body for the selected operation.

application/json

projectIdsarray of stringRequired
maxItems: 1000

Project ids affected by the batch operation. The submitted count includes duplicate ids and is limited to 1000.

projectStatusIdstring or nullOptional
format: uuid

Target project status for changeprojectstatus.

projectTypeIdstring or nullOptional
format: uuid

Target project type for changeprojecttype.

workflowIdstring or nullOptional
format: uuid

Workflow to link for linkworkflow.

projectStatusMappingarray of object or nullOptional

Project status mappings used when linking a workflow.

Show 2 properties
oldProjectStatusIdstringRequired
format: uuid

The Id of the existing project status to replace.

newProjectStatusIdstringRequired
format: uuid

The Id of the workflow project status to use instead.

taskStatusMappingarray of object or nullOptional

Task status mappings used when linking a workflow.

Show 2 properties
oldTaskStatusIdstringRequired
format: uuid

The Id of the existing task status to replace.

newTaskStatusIdstringRequired
format: uuid

The Id of the workflow task status to use instead.

keepCustomFieldsboolean or nullOptional

Whether custom fields should be kept when linking a workflow.

keepCustomAutomationsboolean or nullOptional

Whether custom automations should be kept when linking a workflow.

companyIdstring or nullOptional
format: uuid

Company to assign for setclient.

responsibleUserIdstring or nullOptional
format: uuid

Responsible user to assign for setprojectlead.

teamIdsarray of string or nullOptional

Team ids to add or remove for team batch operations.

newStartDatestring or nullOptional
format: date-time

New start date for setdates.

newDueDatestring or nullOptional
format: date-time

New due date for setdates.

removeStartDateboolean or nullOptional

Whether the start date should be removed for setdates.

removeDueDateboolean or nullOptional

Whether the due date should be removed for setdates.

daysOffsetnumber or nullOptional
format: double

Day offset for adjustdates.

tagsarray of object or nullOptional

Tags to add for addtags.

Show 2 properties
namestringRequired
minLength: 0 maxLength: 255

The name of the tag to delete.

colorstring or nullOptional

The color of the tag. Use one of 'red', 'coral', 'yellow', 'green', 'teal', 'arctic', 'blue', 'azure', 'purple', 'violet'.

tagsToRemovearray of object or nullOptional

Tags to remove for removetags.

Show 1 properties
namestringRequired
minLength: 0 maxLength: 255

The name of the tag to delete.

deleteTimeTrackingsboolean or nullOptional

Whether related time trackings should be deleted for delete.

Responses

207 Multi-Status

application/json

okobjectOptional

The entity IDs with the same batch operation outcome.

Show 1 properties
idsarray of string or nullOptional

The affected entity IDs.

notFoundobjectOptional

The entity IDs with the same batch operation outcome.

Show 1 properties
idsarray of string or nullOptional

The affected entity IDs.

unauthorizedobjectOptional

The entity IDs with the same batch operation outcome.

Show 1 properties
idsarray of string or nullOptional

The affected entity IDs.

badRequestobjectOptional

The entity IDs with the same batch operation outcome.

Show 1 properties
idsarray of string or nullOptional

The affected entity IDs.

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation